Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.bidimap
Class DualTreeBidiMap.BidiOrderedMapIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.bidimap.DualTreeBidiMap.BidiOrderedMapIterator

All Implemented Interfaces:
  Iterator, MapIterator, OrderedIterator, OrderedMapIterator, ResettableIterator

Enclosing class:
  DualTreeBidiMap

protected static class DualTreeBidiMap.BidiOrderedMapIterator
extends Object
implements OrderedMapIterator, ResettableIterator

Inner class MapIterator.

Field Summary
`protected ListIterator` | `iterator` The iterator being decorated
`protected AbstractDualBidiMap` | `parent` The parent map

Constructor Summary
`protected` | `DualTreeBidiMap.BidiOrderedMapIterator(AbstractDualBidiMap parent)` Constructor.

Method Summary
`Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`boolean` | `hasNext()` Checks to see if there are more entries still to be iterated.
`boolean` | `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`Object` | `next()` Gets the next key from the `Map`.
`Object` | `previous()` Gets the previous key from the `Map`.
`void` | `remove()` Removes the last returned key from the underlying `Map` (optional operation).
`void` | `reset()` Resets the iterator back to the position at which the iterator was created.
`Object` | `setValue(Object value)` Sets the value associated with the current key (optional operation).
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

### iterator

    protected ListIterator iterator

  The iterator being decorated

Constructor Detail

### DualTreeBidiMap.BidiOrderedMapIterator

    protected DualTreeBidiMap.BidiOrderedMapIterator(AbstractDualBidiMap parent)

  Constructor.

Parameters:
  `parent` - the parent map

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `MapIterator`
  Checks to see if there are more entries still to be iterated.

  Specified by:
    `hasNext` in interface `MapIterator`
  Returns:
    `true` if the iterator has more elements

### next

    public Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### hasPrevious

    public boolean hasPrevious()

  Description copied from interface: `OrderedMapIterator`
  Checks to see if there is a previous entry that can be iterated to.

  Specified by:
    `hasPrevious` in interface `OrderedMapIterator`
  Returns:
    `true` if the iterator has a previous element

### previous

    public Object previous()

  Description copied from interface: `OrderedMapIterator`
  Gets the previous key from the `Map`.

  Specified by:
    `previous` in interface `OrderedMapIterator`
  Returns:
    the previous key in the iteration

### remove

    public void remove()

  Description copied from interface: `MapIterator`
  Removes the last returned key from the underlying `Map` (optional operation).

  This method can be called once per call to `next()`.

  Specified by:
    `remove` in interface `MapIterator`

### getKey

    public Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public Object setValue(Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

### reset

    public void reset()

  Description copied from interface: `ResettableIterator`
  Resets the iterator back to the position at which the iterator was created.

  Specified by:
    `reset` in interface `ResettableIterator`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.